/*
    Copyright 2022, Prusa Research a.s.

    This file is part of touch-ui

    touch-ui is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

import QtQuick 2.12
import QtQuick.Layouts 1.12
import QtQuick.Controls 2.5
import ".."

DelegateRef {
    id: root
    property string status

    textComponent: Component {
        Column {
            Text {
                text: root.text
                font.pixelSize: Theme.font.normal
                clip: true
                width: textWidth
            }

            Text {
                color: Theme.color.statusTextColor
                text: root.status
                clip: true
                width: textWidth
            }
        }
    }
}
